<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:insert="fragments/head :: head(title='Shoping list')"></head>
<body>
<div th:insert="fragments/navbar :: navbar"></div>
<link type="text/css" th:href="@{/css/DataTables/datatables.min.css}" rel="stylesheet">
<script type="text/javascript" th:src="@{/js/DataTables/datatables.min.js}"></script>

<div class="container py-3" th:if="${recipes}">
    <form method="post">
        <div class="d-flex text-left align-items-center w-100">
            <label for="multiple-checkboxes" class="form-label">Select recipes:</label>
            <select class="form-select" id="multiple-checkboxes" multiple name="recipeIds">
                <option th:each="recipe : ${recipes}" th:value="${recipe.id}" th:text="${recipe.name}"></option>
            </select>
            <input class="btn btn-primary m-2" type="submit" value="Calculate">
        </div>
    </form>
</div>

<div class="container-fluid py-3" th:if="${products}">
    <div class="table-wrapper">
        <table class="table table-striped " id="shoppingTable">
            <thead class="table-dark sticky-md-top">
            <tr>
                <th class="text-center">id</th>
                <th class="text-center">name</th>
                <th class="text-center">price</th>
                <th class="text-center">quantity</th>
                <th class="text-center">amount</th>
                <th class="text-center">category</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="product, itemStat : ${products}" th:with="var=${product.price * product.amount}">
                <td class="text-center align-middle" th:text="${itemStat.index + 1}"></td>
                <td class="text-center align-middle" th:text="${product.name}"></td>
                <td class="text-center align-middle" th:text="${product.price}"></td>
                <td class="text-center" th:text="${product.amount} + ' ' + ${product.measure.title}"></td>
                <td class="text-center align-middle" th:text="${#numbers.formatCurrency(var)}"></td>
                <td class="text-center align-middle" th:text="${product.category.title}"></td>
            </tr>
            </tbody>
            <tfoot th:if="${total}">
            <tr>
                <th class="text-center" colspan="4">Total</th>
                <th class="text-center" th:text="${#numbers.formatCurrency(total)}"></th>
                <th class="text-center"></th>
            </tr>
            </tfoot>
        </table>
    </div>
</div>
<script>
    let table = '';
    $(document).ready(function () {
        table = $('#shoppingTable').DataTable(
            {"pageLength": 25 }
        );
    });
</script>
</body>
</html>